Bug 188342 - Applet Cpu Scaling Freq does not update itself
Summary: Applet Cpu Scaling Freq does not update itself
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-applets   
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-08 05:51 UTC by vikram goyal
Modified: 2008-03-09 10:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 10:25:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vikram goyal 2006-04-08 05:51:03 UTC
Description of problem:
I have Cpu Frequency Scaling monitor applet selected. Which when I login in
gnome complains about Cpu Frequency Scaling unsupported, which is wrong , since
it's working properly, moreover it's diplay gets stuck-up at the freq it found
when starting itself.

Version-Release number of selected component (if applicable):

gnome-applets-2.14.0-1.fc5

How reproducible:

always

Steps to Reproduce:
1.Select cpu freq scaling monitor applet from Add To Panel
2.Logout from gnome and login
3.Applet complainls about Cpu freq scaling not supported. It reads the freq at
that particular point and does not update it
  
Actual results:

No updation of current cpu freq

Expected results:
It should show the current cpu freq

Additional info:

Concerned lsmod output:
Module                  Size  Used by
i915                   22465  1
drm                    68181  2 i915
cpufreq_ondemand       10825  1
p4_clockmod            10181  0
lm85                   32613  0
hwmon_vid               6593  1 lm85
hwmon                   7237  1 lm85
i2c_isa                 9153  0
ehci_hcd               33229  0
uhci_hcd               33233  0
sg                     36317  0
i2c_i801               12365  0
i2c_core               24769  4 eeprom,lm85,i2c_isa,i2c_i801
hw_random               9817  0
ata_piix               13893  14
-------------------------------------------------------------
[root@fc5host ~]# ll /sys/devices/system/cpu/cpu1/cpufreq/
total 0
-r--r--r-- 1 root root 4.0K Apr  8 11:19 affected_cpus
-r-------- 1 root root 4.0K Apr  8 11:19 cpuinfo_cur_freq
-r--r--r-- 1 root root 4.0K Apr  8 11:19 cpuinfo_max_freq
-r--r--r-- 1 root root 4.0K Apr  8 11:19 cpuinfo_min_freq
drwxr-xr-x 2 root root    0 Apr  8 10:33 ondemand/
-r--r--r-- 1 root root 4.0K Apr  8 11:19 scaling_available_frequencies
-r--r--r-- 1 root root 4.0K Apr  8 10:33 scaling_available_governors
-r--r--r-- 1 root root 4.0K Apr  8 11:19 scaling_cur_freq
-r--r--r-- 1 root root 4.0K Apr  8 11:19 scaling_driver
-rw-r--r-- 1 root root    0 Apr  8 10:33 scaling_governor
-rw-r--r-- 1 root root 4.0K Apr  8 11:19 scaling_max_freq
-rw-r--r-- 1 root root    0 Apr  8 10:33 scaling_min_freq
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor
ondemand
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/affected_cpus
0 1
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_cur_freq
600000
Applet shows 1.20GHz
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_max_freq
2400000
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_min_freq
300000
-----------------------------------------------------------
[root@fc5host ~]# cat
/sys/devices/system/cpu/cpu1/cpufreq/scaling_available_frequencies
300000 600000 900000 1200000 1500000 1800000 2100000 2400000
-----------------------------------------------------------
[root@fc5host ~]# cat
/sys/devices/system/cpu/cpu1/cpufreq/scaling_available_governors
ondemand userspace performance
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/scaling_driver
p4-clockmod
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/scaling_max_freq
2400000
-----------------------------------------------------------
[root@fc5host ~]# cat /sys/devices/system/cpu/cpu1/cpufreq/scaling_min_freq
600000
-----------------------------------------------------------

Comment 1 Ray Strode [halfline] 2007-08-20 20:55:44 UTC
are you still experiencing this problem?

Comment 2 vikram goyal 2007-09-18 10:07:24 UTC
As per
http://lkml.org/lkml/2006/2/25/84

&

http://lkml.org/lkml/2005/8/27/106

p4-clockmod is useless.

So i have stopped using it. Also I am using F7 and have not configured cpuspeed
since a long time.



Note You need to log in before you can comment on or make changes to this bug.